'''
Created on Oct 14, 2012

A set of permisions associated with a set of types
@author: Carr
'''

class PermissionAttribute(object):


    def __init__(self,attributes, types) :
        '''
        
        :param attributes: the file permissions allowed
        :param types: the file types on which the permissions apply
        '''
        self.attributes = attributes;
        self.types = types;
    
    def getPermissionRep(self) : return self.attributes.getIntRep()
    def getPermissionRepList(self) : return self.attributes.getListRep()
    
    def getTypes(self) : return self.types
        